Bug 16203 - [net] Install fails with non-anonymous ftp
[net] Install fails with non-anonymous ftp
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Depends On:
  Show dependency treegraph
Reported: 2000-08-14 19:36 EDT by Enrico Scholz
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-15 18:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2000-08-14 19:36:41 EDT
When choosing non-anonymous ftp as installation-method, install fails.

My steps:
0. Creating account `cdrom' having /mnt/cdrom as home on a ftp server

1. Booting from bootnet.img
2. Choosing non-anon ftp installation method
3. Entering network/ftp params
4. "Welcome" Screen
5. Pressing F12 until root-pw will be asked for
6. Entering root-pw, F12
7. "Reading packages" -> python exception
Comment 1 Erik Troan 2000-08-15 18:43:43 EDT
This seems to work fine for us. If you still see this, please give us the bottom
6 lines of the traceback you're getting so we can try to help (better yet, save
the debug info to a floppy and post it here).
Comment 2 Enrico Scholz 2000-08-16 14:54:27 EDT
After looking into the ftp logs and doing the commands by hand I understand why
it has happened (see #16204 also):

I have entered "." as ftp-dir (see #16204) forgetting that non-anonymous users
have the system rootdir as '/'. This location was accepted when loading
netstag1.img. Then, while "Reading packages", a '/' was prepended and anaconda
chdir'd into '/.'---the real rootdir.

With the fix translating '.' to '/.'  (mentioned in #16204) both ftp-actions
will see the same directory and fail or succeed identically.

Note You need to log in before you can comment on or make changes to this bug.